package cn.rankin.apiweb.service.auth;

import cn.rankin.apiweb.entity.AuthResult;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Service
public class AuthService implements AuthClient {

    private final static org.slf4j.Logger log = LoggerFactory.getLogger(AuthService.class);

    @Override
    public AuthResult auth(String userId, String itemId) {
        log.info("auth vo: {}, item: {}", userId, itemId);
        AuthResult auth = new AuthResult(itemId, userId, 0, 0L, null);
        return auth;
    }

    @Override
    public AuthResult add(String userId, String itemId, Integer day) {
        log.info("add vo: {} item: {} day: {}", userId, itemId, day);
        return new AuthResult(itemId, userId, 0, 0L, null);
    }

    @Override
    public AuthResult reduce(String userId, String itemId, Integer day) {
        log.info("reduce vo: {} item: {} day: {}", userId, itemId, day);
        return new AuthResult(itemId, userId, 0, 0L, null);
    }
}
