package cn.rankin.apiweb.service.product;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.model.BaseCode;
import cn.rankin.data.api.app.vo.RecommendVo;
import cn.rankin.data.api.product.entity.Recommend;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

import static cn.rankin.apiweb.utils.DTOConverter.convert;

@Service
public class ProductService {

    @Autowired
    private ProductClient productClient;

    public APIResult<List<RecommendVo>> getRecommendCourses(String merchantId) {
        APIResult<List<Recommend>> apiResult = productClient.getRecommendCourses(merchantId);
        if (!apiResult.getSuccess()) {
            return APIResult.error(new BaseCode(apiResult.getCode(), apiResult.getMessage()));
        }

        List<Recommend> recommendList = apiResult.getData();
        List<RecommendVo> recommendVoList = new ArrayList<>();
        for (Recommend recommend : recommendList) {
            RecommendVo recommendVo = convert(recommend);
            recommendVoList.add(recommendVo);
        }
        return APIResult.ok(recommendVoList);
    }
}
